
Application: gvSIG desktop - gvSIG bugs #4992
La herramienta 'statistics viewer' falla durante el arranque de gvSIG.
02/18/2019 09:58 AM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category:
Target version: 2.5.0-2914 (rev. org.gvsig.desktop-2.0.242)
Severity: Minor Add-on version:
gvSIG version: 2.5.0 Add-on build:
gvSIG build: 2912 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

La herramienta 'statistics viewer' falla durante el arranque de gvSIG.

INFO 28590 AWT-EventQueue-0 org.gvsig.scripting.app.extension.ScriptingUtils$AbstractExecuteScripts - running autotun
script '/home/jjdelcerro/gvSIG/plugins/org.gvsig.scripting.app.mainplugin/2.5.0/scripts/addons/statistics_viewer/autorun.inf'
(000500.default.000500, null).
WARN 30238 AWT-EventQueue-0 org.gvsig.scripting.app.extension.ScriptingUtils$AbstractExecuteScripts - Can't execute
autotun from
'/home/jjdelcerro/gvSIG/plugins/org.gvsig.scripting.app.mainplugin/2.5.0/scripts/addons/statistics_viewer/autorun.inf'.
org.gvsig.scripting.ExecuteErrorException: OSError: [Errno 20] Not a directory:
'__pyclasspath__/addons/statistics_viewer/processmanager/processdirectory' in <script> at line number 47
    at org.gvsig.scripting.impl.DefaultScriptingScript.invokeFunction(DefaultScriptingScript.java:673)
    at org.gvsig.scripting.impl.DefaultScriptingScript.run(DefaultScriptingScript.java:643)
    at org.gvsig.scripting.impl.DefaultScriptingScript.run(DefaultScriptingScript.java:630)
    at org.gvsig.scripting.app.extension.ScriptingUtils$AbstractExecuteScripts.executeScripts(ScriptingUtils.java:445)
    at org.gvsig.scripting.app.extension.ScriptingUtils$ExecuteScriptsFromFilesystem.run(ScriptingUtils.java:520)
    at org.gvsig.scripting.app.extension.ScriptingUtils$ExecuteAutorunScriptsOnStartup.run(ScriptingUtils.java:352)
    at org.gvsig.andami.impl.DefaultPluginsManager$Task.run(DefaultPluginsManager.java:110)
    at org.gvsig.andami.impl.DefaultPluginsManager$Task$1.run(DefaultPluginsManager.java:96)
    at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:301)
    at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:756)
    at java.awt.EventQueue.access$500(EventQueue.java:97)
    at java.awt.EventQueue$3.run(EventQueue.java:709)
    at java.awt.EventQueue$3.run(EventQueue.java:703)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
    at java.awt.EventQueue.dispatchEvent(EventQueue.java:726)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
    at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
    at java.awt.EventDispatchThread.run(EventDispatchThread.java:82)
Caused by: javax.script.ScriptException: OSError: [Errno 20] Not a directory:
'__pyclasspath__/addons/statistics_viewer/processmanager/processdirectory' in <script> at line number 47
    at org.python.jsr223.MyPyScriptEngine.scriptException(MyPyScriptEngine.java:213)
    at org.python.jsr223.MyPyScriptEngine.invokeFunction(MyPyScriptEngine.java:142)
    at org.gvsig.scripting.impl.DefaultScriptingScript.invokeFunction(DefaultScriptingScript.java:655)
    ... 22 more
Caused by: Traceback (most recent call last):
  File "<script>", line 47, in main
  File "<script>", line 21, in selfRegister
  File "__pyclasspath__/addons/statistics_viewer/main$py.class", line 9, in <module>
  File "__pyclasspath__/addons/statistics_viewer/processmanager/processmanager$py.class", line 10, in <module>
  File "__pyclasspath__/addons/statistics_viewer/processmanager/processdirectory/__init__$py.class", line 4, in <module>
OSError: [Errno 20] Not a directory: '__pyclasspath__/addons/statistics_viewer/processmanager/processdirectory'

    at org.python.core.Py.OSError(Py.java:164)
    at org.python.modules.posix.PosixModule.listdir(PosixModule.java:673)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    at java.lang.reflect.Method.invoke(Method.java:498)
    at org.python.core.PyReflectedFunction.__call__(PyReflectedFunction.java:188)
    at org.python.core.PyReflectedFunction.__call__(PyReflectedFunction.java:206)
    at org.python.core.PyObject.__call__(PyObject.java:480)
    at org.python.core.PyObject.__call__(PyObject.java:484)
    at
addons.statistics_viewer.processmanager.processdirectory$py.f$0(C:/Users/oskmo/gvSIG/plugins/org.gvsig.scripting.app.mainplugin/2.4.0/scripts/addons/statistics_viewer/processmanager/processdirectory/__init__.py:13)
    at addons.statistics_viewer.processmanager.processdirectory$py.call_function(C:/Users/oskmo/gvSIG/plugins/org.gvsig.scripting.app.mainplugin/2.4.0/scripts/addons/statistics_viewer/processmanager/processdirectory/__init__.py)
    at org.python.core.PyTableCode.call(PyTableCode.java:171)
    at org.python.core.PyCode.call(PyCode.java:18)
    at org.python.core.imp.createFromCode(imp.java:436)
    at org.python.core.util.importer.importer_load_module(importer.java:116)
    at org.python.core.ClasspathPyImporter.ClasspathPyImporter_load_module(ClasspathPyImporter.java:170)
    at org.python.core.ClasspathPyImporter$ClasspathPyImporter_load_module_exposer.__call__(Unknown Source)
    at org.python.core.PyBuiltinMethodNarrow.__call__(PyBuiltinMethodNarrow.java:46)
    at org.python.core.imp.loadFromLoader(imp.java:593)
    at org.python.core.imp.find_module(imp.java:547)
    at org.python.core.PyModule.impAttr(PyModule.java:111)
    at org.python.core.PyModule.__findattr_ex__(PyModule.java:140)
    at org.python.core.PyObject.__findattr__(PyObject.java:965)
    at org.python.core.PyObject.__findattr__(PyObject.java:950)
    at org.python.core.imp.ensureFromList(imp.java:1016)
    at org.python.core.imp.ensureFromList(imp.java:990)
    at org.python.core.imp.import_module_level(imp.java:977)
    at org.python.core.imp.importName(imp.java:1057)
    at org.python.core.ImportFunction.__call__(__builtin__.java:1280)
    at org.python.core.PyObject.__call__(PyObject.java:450)
    at org.python.core.__builtin__.__import__(__builtin__.java:1232)
    at org.python.core.imp.importFromAs(imp.java:1149)
    at org.python.core.imp.importFrom(imp.java:1124)
    at addons.statistics_viewer.processmanager.processmanager$py.f$0(C:/Users/oskmo/gvSIG/plugins/org.gvsig.scripting.app.mainplugin/2.4.0/scripts/addons/statistics_viewer/processmanager/processmanager.py:36)
    at addons.statistics_viewer.processmanager.processmanager$py.call_function(C:/Users/oskmo/gvSIG/plugins/org.gvsig.scripting.app.mainplugin/2.4.0/scripts/addons/statistics_viewer/processmanager/processmanager.py)
    at org.python.core.PyTableCode.call(PyTableCode.java:171)
    at org.python.core.PyCode.call(PyCode.java:18)
    at org.python.core.imp.createFromCode(imp.java:436)
    at org.python.core.util.importer.importer_load_module(importer.java:116)
    at org.python.core.ClasspathPyImporter.ClasspathPyImporter_load_module(ClasspathPyImporter.java:170)
    at org.python.core.ClasspathPyImporter$ClasspathPyImporter_load_module_exposer.__call__(Unknown Source)
    at org.python.core.PyBuiltinMethodNarrow.__call__(PyBuiltinMethodNarrow.java:46)
    at org.python.core.imp.loadFromLoader(imp.java:593)
    at org.python.core.imp.find_module(imp.java:547)
    at org.python.core.PyModule.impAttr(PyModule.java:111)
    at org.python.core.imp.import_next(imp.java:840)
    at org.python.core.imp.import_logic(imp.java:905)
    at org.python.core.imp.import_module_level(imp.java:970)
    at org.python.core.imp.importName(imp.java:1057)
    at org.python.core.ImportFunction.__call__(__builtin__.java:1280)
    at org.python.core.PyObject.__call__(PyObject.java:450)
    at org.python.core.__builtin__.__import__(__builtin__.java:1232)
    at org.python.core.imp.importFromAs(imp.java:1149)
    at org.python.core.imp.importFrom(imp.java:1124)
    at addons.statistics_viewer.main$py.f$0(C:/Users/oskmo/gvSIG/plugins/org.gvsig.scripting.app.mainplugin/2.4.0/scripts/addons/statistics_viewer/main.py:183)
    at addons.statistics_viewer.main$py.call_function(C:/Users/oskmo/gvSIG/plugins/org.gvsig.scripting.app.mainplugin/2.4.0/scripts/addons/statistics_viewer/main.py)
    at org.python.core.PyTableCode.call(PyTableCode.java:171)
    at org.python.core.PyCode.call(PyCode.java:18)
    at org.python.core.imp.createFromCode(imp.java:436)
    at org.python.core.util.importer.importer_load_module(importer.java:116)
    at org.python.core.ClasspathPyImporter.ClasspathPyImporter_load_module(ClasspathPyImporter.java:170)
    at org.python.core.ClasspathPyImporter$ClasspathPyImporter_load_module_exposer.__call__(Unknown Source)
    at org.python.core.PyBuiltinMethodNarrow.__call__(PyBuiltinMethodNarrow.java:46)
    at org.python.core.imp.loadFromLoader(imp.java:593)
    at org.python.core.imp.fi
plugin/2.4.0/scripts/addons/statistics_viewer/processmanager/processdirectory/__init__.py:13)
    at
addons.statistics_viewer.processmanager.processdirectory$py.call_function(C:/Users/oskmo/gvSIG/plugins/org.gvsig.scripting.app.mainplugin/2.4.0/scripts/addons/statistics_viewer/processmanager/processdirectory/__init__.py)
    at org.python.core.PyTableCode.call(PyTableCode.java:171)
    at org.python.core.PyCode.call(PyCode.java:18)
    at org.python.core.imp.createFromCode(imp.java:436)
    at org.python.core.util.importer.importer_load_module(importer.java:116)
    at org.python.core.ClasspathPyImporter.ClasspathPyImporter_load_module(ClasspathPyImporter.java:170)
    at org.python.core.ClasspathPyImporter$ClasspathPyImporter_load_module_exposer.__call__(Unknown Source)
    at org.python.core.PyBuiltinMethodNarrow.__call__(PyBuiltinMethodNarrow.java:46)
    at org.python.core.imp.loadFromLoader(imp.java:593)
    at org.python.core.imp.find_module(imp.java:547)
    at org.python.core.PyModule.impAttr(PyModule.java:111)
    at org.python.core.PyModule.__findattr_ex__(PyModule.java:140)
    at org.python.core.PyObject.__findattr__(PyObject.java:965)
    at org.python.core.PyObject.__findattr__(PyObject.java:950)
    at org.python.core.imp.ensureFromList(imp.java:1016)
    at org.python.core.imp.ensureFromList(imp.java:990)
    at org.python.core.imp.import_module_level(imp.java:977)
    at org.python.core.imp.importName(imp.java:1057)
    at org.python.core.ImportFunction.__call__(__builtin__.java:1280)
    at org.python.core.PyObject.__call__(PyObject.java:450)
    at org.python.core.__builtin__.__import__(__builtin__.java:1232)
    at org.python.core.imp.importFromAs(imp.java:1149)
    at org.python.core.imp.importFrom(imp.java:1124)
    at addons.statistics_viewer.processmanager.processmanager$py.f$0(C:/Users/oskmo/gvSIG/plugins/org.gvsig.scripting.app.mainplugin/2.4.0/scripts/addons/statistics_viewer/processmanager/processmanager.py:36)
    at addons.statistics_viewer.processmanager.processmanager$py.call_function(C:/Users/oskmo/gvSIG/plugins/org.gvsig.scripting.app.mainplugin/2.4.0/scripts/addons/statistics_viewer/processmanager/processmanager.py)
    at org.python.core.PyTableCode.call(PyTableCode.java:171)
    at org.python.core.PyCode.call(PyCode.java:18)
    at org.python.core.imp.createFromCode(imp.java:436)
    at org.python.core.util.importer.importer_load_module(importer.java:116)
    at org.python.core.ClasspathPyImporter.ClasspathPyImporter_load_module(ClasspathPyImporter.java:170)
    at org.python.core.ClasspathPyImporter$ClasspathPyImporter_load_module_exposer.__call__(Unknown Source)
    at org.python.core.PyBuiltinMethodNarrow.__call__(PyBuiltinMethodNarrow.java:46)
    at org.python.core.imp.loadFromLoader(imp.java:593)
    at org.python.core.imp.find_module(imp.java:547)
    at org.python.core.PyModule.impAttr(PyModule.java:111)
    at org.python.core.imp.import_next(imp.java:840)
    at org.python.core.imp.import_logic(imp.java:905)
    at org.python.core.imp.import_module_level(imp.java:970)
    at org.python.core.imp.importName(imp.java:1057)
    at org.python.core.ImportFunction.__call__(__builtin__.java:1280)
    at org.python.core.PyObject.__call__(PyObject.java:450)
    at org.python.core.__builtin__.__import__(__builtin__.java:1232)
    at org.python.core.imp.importFromAs(imp.java:1149)
    at org.python.core.imp.importFrom(imp.java:1124)
    at addons.statistics_viewer.main$py.f$0(C:/Users/oskmo/gvSIG/plugins/org.gvsig.scripting.app.mainplugin/2.4.0/scripts/addons/statistics_viewer/main.py:183)
    at addons.statistics_viewer.main$py.call_function(C:/Users/oskmo/gvSIG/plugins/org.gvsig.scripting.app.mainplugin/2.4.0/scripts/addons/statistics_viewer/main.py)
    at org.python.core.PyTableCode.call(PyTableCode.java:171)
    at org.python.core.PyCode.call(PyCode.java:18)
    at org.python.core.imp.createFromCode(imp.java:436)
    at org.python.core.util.importer.importer_load_module(importer.java:116)
    at org.python.core.ClasspathPyImporter.ClasspathPyImporter_load_module(ClasspathPyImporter.java:170)
    at org.python.core.ClasspathPyImporter$ClasspathPyImporter_load_module_exposer.__call__(Unknown Source)
    at org.python.core.PyBuiltinMethodNarrow.__call__(PyBuiltinMethodNarrow.java:46)
    at org.python.core.imp.loadFromLoader(imp.java:593)
    at org.python.core.imp.find_module(imp.java:547)
    at org.python.core.PyModule.impAttr(PyModule.java:111)
    at org.python.core.imp.import_next(imp.java:840)
    at org.python.core.imp.import_logic(imp.java:905)
    at org.python.core.imp.import_module_level(imp.java:970)
    at org.python.core.imp.importName(imp.java:1057)
    at org.python.core.ImportFunction.__call__(__builtin__.java:1280)
    at org.python.core.PyObject.__call__(PyObject.java:450)
    at org.
.app.mainplugin/2.4.0/scripts/addons/statistics_viewer/processmanager/processdirectory/__init__.py)
    at org.python.core.PyTableCode.call(PyTableCode.java:171)
    at org.python.core.PyCode.call(PyCode.java:18)
    at org.python.core.imp.createFromCode(imp.java:436)
    at org.python.core.util.importer.importer_load_module(importer.java:116)
    at org.python.core.ClasspathPyImporter.ClasspathPyImporter_load_module(ClasspathPyImporter.java:170)
    at org.python.core.ClasspathPyImporter$ClasspathPyImporter_load_module_exposer.__call__(Unknown Source)
    at org.python.core.PyBuiltinMethodNarrow.__call__(PyBuiltinMethodNarrow.java:46)
    at org.python.core.imp.loadFromLoader(imp.java:593)
    at org.python.core.imp.find_module(imp.java:547)
    at org.python.core.PyModule.impAttr(PyModule.java:111)
    at org.python.core.PyModule.__findattr_ex__(PyModule.java:140)
    at org.python.core.PyObject.__findattr__(PyObject.java:965)
    at org.python.core.PyObject.__findattr__(PyObject.java:950)
    at org.python.core.imp.ensureFromList(imp.java:1016)
    at org.python.core.imp.ensureFromList(imp.java:990)
    at org.python.core.imp.import_module_level(imp.java:977)
    at org.python.core.imp.importName(imp.java:1057)
    at org.python.core.ImportFunction.__call__(__builtin__.java:1280)
    at org.python.core.PyObject.__call__(PyObject.java:450)
    at org.python.core.__builtin__.__import__(__builtin__.java:1232)
    at org.python.core.imp.importFromAs(imp.java:1149)
    at org.python.core.imp.importFrom(imp.java:1124)
    at
addons.statistics_viewer.processmanager.processmanager$py.f$0(C:/Users/oskmo/gvSIG/plugins/org.gvsig.scripting.app.mainplugin/2.4.0/scripts/addons/statistics_viewer/processmanager/processmanager.py:36)
    at addons.statistics_viewer.processmanager.processmanager$py.call_function(C:/Users/oskmo/gvSIG/plugins/org.gvsig.scripting.app.mainplugin/2.4.0/scripts/addons/statistics_viewer/processmanager/processmanager.py)
    at org.python.core.PyTableCode.call(PyTableCode.java:171)
    at org.python.core.PyCode.call(PyCode.java:18)
    at org.python.core.imp.createFromCode(imp.java:436)
    at org.python.core.util.importer.importer_load_module(importer.java:116)
    at org.python.core.ClasspathPyImporter.ClasspathPyImporter_load_module(ClasspathPyImporter.java:170)
    at org.python.core.ClasspathPyImporter$ClasspathPyImporter_load_module_exposer.__call__(Unknown Source)
    at org.python.core.PyBuiltinMethodNarrow.__call__(PyBuiltinMethodNarrow.java:46)
    at org.python.core.imp.loadFromLoader(imp.java:593)
    at org.python.core.imp.find_module(imp.java:547)
    at org.python.core.PyModule.impAttr(PyModule.java:111)
    at org.python.core.imp.import_next(imp.java:840)
    at org.python.core.imp.import_logic(imp.java:905)
    at org.python.core.imp.import_module_level(imp.java:970)
    at org.python.core.imp.importName(imp.java:1057)
    at org.python.core.ImportFunction.__call__(__builtin__.java:1280)
    at org.python.core.PyObject.__call__(PyObject.java:450)
    at org.python.core.__builtin__.__import__(__builtin__.java:1232)
    at org.python.core.imp.importFromAs(imp.java:1149)
    at org.python.core.imp.importFrom(imp.java:1124)
    at addons.statistics_viewer.main$py.f$0(C:/Users/oskmo/gvSIG/plugins/org.gvsig.scripting.app.mainplugin/2.4.0/scripts/addons/statistics_viewer/main.py:183)
    at addons.statistics_viewer.main$py.call_function(C:/Users/oskmo/gvSIG/plugins/org.gvsig.scripting.app.mainplugin/2.4.0/scripts/addons/statistics_viewer/main.py)
    at org.python.core.PyTableCode.call(PyTableCode.java:171)
    at org.python.core.PyCode.call(PyCode.java:18)
    at org.python.core.imp.createFromCode(imp.java:436)
    at org.python.core.util.importer.importer_load_module(importer.java:116)
    at org.python.core.ClasspathPyImporter.ClasspathPyImporter_load_module(ClasspathPyImporter.java:170)
    at org.python.core.ClasspathPyImporter$ClasspathPyImporter_load_module_exposer.__call__(Unknown Source)
    at org.python.core.PyBuiltinMethodNarrow.__call__(PyBuiltinMethodNarrow.java:46)
    at org.python.core.imp.loadFromLoader(imp.java:593)
    at org.python.core.imp.find_module(imp.java:547)
    at org.python.core.PyModule.impAttr(PyModule.java:111)
    at org.python.core.imp.import_next(imp.java:840)
    at org.python.core.imp.import_logic(imp.java:905)
    at org.python.core.imp.import_module_level(imp.java:970)
    at org.python.core.imp.importName(imp.java:1057)
    at org.python.core.ImportFunction.__call__(__builtin__.java:1280)
    at org.python.core.PyObject.__call__(PyObject.java:450)
    at org.python.core.__builtin__.__import__(__builtin__.java:1232)
    at org.python.core.imp.importFromAs(imp.java:1149)
    at org.python.core.imp.importFrom(imp.java:1124)
    at org.python.pycode._pyx40.selfRegister$1(<script>:40)
    at org.python.pycode._pyx40.call_function(<script>)
    at org.python.core.PyTableCode.call(PyTableCode.java:171)
    at org.python.core.PyBaseCode.call(PyBaseCode.java:125)
    at org.python.core.PyFunction.__call__(PyFunction.java:403)
    at org.python.pycode._pyx40.main$2(<script>:47)
    at org.python.pycode._pyx40.call_function(<script>)
    at org.python.core.PyTableCode.call(PyTableCode.java:171)
    at org.python.core.PyBaseCode.call(PyBaseCode.java:308)
    at org.python.core.PyFunction.function___call__(PyFunction.java:471)
    at org.python.core.PyFunction.__call__(PyFunction.java:466)
    at org.python.core.PyFunction.__call__(PyFunction.java:456)
    at org.python.jsr223.MyPyScriptEngine.invokeFunction(MyPyScriptEngine.java:136)
    ... 23 more
INFO 30242 AWT-EventQueue-0 org.gvsig.scripting.app.extension.ScriptingUtils$ExecuteScriptsFromFilesystem - Running autotun scripts terminated.
    at
addons.statistics_viewer.processmanager.processmanager$py.call_function(C:/Users/oskmo/gvSIG/plugins/org.gvsig.scripting.app.mainplugin/2.4.0/scripts/addons/statistics_viewer/processmanager/processmanager.py)
    at org.python.core.PyTableCode.call(PyTableCode.java:171)
    at org.python.core.PyCode.call(PyCode.java:18)
    at org.python.core.imp.createFromCode(imp.java:436)
    at org.python.core.util.importer.importer_load_module(importer.java:116)
    at org.python.core.ClasspathPyImporter.ClasspathPyImporter_load_module(ClasspathPyImporter.java:170)
    at org.python.core.ClasspathPyImporter$ClasspathPyImporter_load_module_exposer.__call__(Unknown Source)
    at org.python.core.PyBuiltinMethodNarrow.__call__(PyBuiltinMethodNarrow.java:46)
    at org.python.core.imp.loadFromLoader(imp.java:593)
    at org.python.core.imp.find_module(imp.java:547)
    at org.python.core.PyModule.impAttr(PyModule.java:111)
    at org.python.core.imp.import_next(imp.java:840)
    at org.python.core.imp.import_logic(imp.java:905)
    at org.python.core.imp.import_module_level(imp.java:970)
    at org.python.core.imp.importName(imp.java:1057)
    at org.python.core.ImportFunction.__call__(__builtin__.java:1280)
    at org.python.core.PyObject.__call__(PyObject.java:450)
    at org.python.core.__builtin__.__import__(__builtin__.java:1232)
    at org.python.core.imp.importFromAs(imp.java:1149)
    at org.python.core.imp.importFrom(imp.java:1124)
    at addons.statistics_viewer.main$py.f$0(C:/Users/oskmo/gvSIG/plugins/org.gvsig.scripting.app.mainplugin/2.4.0/scripts/addons/statistics_viewer/main.py:183)
    at addons.statistics_viewer.main$py.call_function(C:/Users/oskmo/gvSIG/plugins/org.gvsig.scripting.app.mainplugin/2.4.0/scripts/addons/statistics_viewer/main.py)
    at org.python.core.PyTableCode.call(PyTableCode.java:171)
    at org.python.core.PyCode.call(PyCode.java:18)
    at org.python.core.imp.createFromCode(imp.java:436)
    at org.python.core.util.importer.importer_load_module(importer.java:116)
    at org.python.core.ClasspathPyImporter.ClasspathPyImporter_load_module(ClasspathPyImporter.java:170)
    at org.python.core.ClasspathPyImporter$ClasspathPyImporter_load_module_exposer.__call__(Unknown Source)
    at org.python.core.PyBuiltinMethodNarrow.__call__(PyBuiltinMethodNarrow.java:46)
    at org.python.core.imp.loadFromLoader(imp.java:593)
    at org.python.core.imp.find_module(imp.java:547)
    at org.python.core.PyModule.impAttr(PyModule.java:111)
    at org.python.core.imp.import_next(imp.java:840)
    at org.python.core.imp.import_logic(imp.java:905)
    at org.python.core.imp.import_module_level(imp.java:970)
    at org.python.core.imp.importName(imp.java:1057)
    at org.python.core.ImportFunction.__call__(__builtin__.java:1280)
    at org.python.core.PyObject.__call__(PyObject.java:450)
    at org.python.core.__builtin__.__import__(__builtin__.java:1232)
    at org.python.core.imp.importFromAs(imp.java:1149)
    at org.python.core.imp.importFrom(imp.java:1124)
    at org.python.pycode._pyx40.selfRegister$1(<script>:40)
    at org.python.pycode._pyx40.call_function(<script>)
    at org.python.core.PyTableCode.call(PyTableCode.java:171)
    at org.python.core.PyBaseCode.call(PyBaseCode.java:125)
    at org.python.core.PyFunction.__call__(PyFunction.java:403)
    at org.python.pycode._pyx40.main$2(<script>:47)
    at org.python.pycode._pyx40.call_function(<script>)
    at org.python.core.PyTableCode.call(PyTableCode.java:171)
    at org.python.core.PyBaseCode.call(PyBaseCode.java:308)
    at org.python.core.PyFunction.function___call__(PyFunction.java:471)
    at org.python.core.PyFunction.__call__(PyFunction.java:466)
    at org.python.core.PyFunction.__call__(PyFunction.java:456)
    at org.python.jsr223.MyPyScriptEngine.invokeFunction(MyPyScriptEngine.java:136)
    ... 23 more
INFO 30242 AWT-EventQueue-0 org.gvsig.scripting.app.extension.ScriptingUtils$ExecuteScriptsFromFilesystem - Running autotun scripts terminated.


.app.mainplugin/2.4.0/scripts/addons/statistics_viewer/processmanager/processmanager.py)
    at org.python.core.PyTableCode.call(PyTableCode.java:171)
    at org.python.core.PyCode.call(PyCode.java:18)
    at org.python.core.imp.createFromCode(imp.java:436)
    at org.python.core.util.importer.importer_load_module(importer.java:116)
    at org.python.core.ClasspathPyImporter.ClasspathPyImporter_load_module(ClasspathPyImporter.java:170)
    at org.python.core.ClasspathPyImporter$ClasspathPyImporter_load_module_exposer.__call__(Unknown Source)
    at org.python.core.PyBuiltinMethodNarrow.__call__(PyBuiltinMethodNarrow.java:46)
    at org.python.core.imp.loadFromLoader(imp.java:593)
    at org.python.core.imp.find_module(imp.java:547)
    at org.python.core.PyModule.impAttr(PyModule.java:111)
    at org.python.core.imp.import_next(imp.java:840)
    at org.python.core.imp.import_logic(imp.java:905)
    at org.python.core.imp.import_module_level(imp.java:970)
    at org.python.core.imp.importName(imp.java:1057)
    at org.python.core.ImportFunction.__call__(__builtin__.java:1280)
    at org.python.core.PyObject.__call__(PyObject.java:450)
    at org.python.core.__builtin__.__import__(__builtin__.java:1232)
    at org.python.core.imp.importFromAs(imp.java:1149)
    at org.python.core.imp.importFrom(imp.java:1124)
    at
addons.statistics_viewer.main$py.f$0(C:/Users/oskmo/gvSIG/plugins/org.gvsig.scripting.app.mainplugin/2.4.0/scripts/addons/statistics_viewer/main.py:183)
    at addons.statistics_viewer.main$py.call_function(C:/Users/oskmo/gvSIG/plugins/org.gvsig.scripting.app.mainplugin/2.4.0/scripts/addons/statistics_viewer/main.py)
    at org.python.core.PyTableCode.call(PyTableCode.java:171)
    at org.python.core.PyCode.call(PyCode.java:18)
    at org.python.core.imp.createFromCode(imp.java:436)
    at org.python.core.util.importer.importer_load_module(importer.java:116)
    at org.python.core.ClasspathPyImporter.ClasspathPyImporter_load_module(ClasspathPyImporter.java:170)
    at org.python.core.ClasspathPyImporter$ClasspathPyImporter_load_module_exposer.__call__(Unknown Source)
    at org.python.core.PyBuiltinMethodNarrow.__call__(PyBuiltinMethodNarrow.java:46)
    at org.python.core.imp.loadFromLoader(imp.java:593)
    at org.python.core.imp.find_module(imp.java:547)
    at org.python.core.PyModule.impAttr(PyModule.java:111)
    at org.python.core.imp.import_next(imp.java:840)
    at org.python.core.imp.import_logic(imp.java:905)
    at org.python.core.imp.import_module_level(imp.java:970)
    at org.python.core.imp.importName(imp.java:1057)
    at org.python.core.ImportFunction.__call__(__builtin__.java:1280)
    at org.python.core.PyObject.__call__(PyObject.java:450)
    at org.python.core.__builtin__.__import__(__builtin__.java:1232)
    at org.python.core.imp.importFromAs(imp.java:1149)
    at org.python.core.imp.importFrom(imp.java:1124)
    at org.python.pycode._pyx40.selfRegister$1(<script>:40)
    at org.python.pycode._pyx40.call_function(<script>)
    at org.python.core.PyTableCode.call(PyTableCode.java:171)
    at org.python.core.PyBaseCode.call(PyBaseCode.java:125)
    at org.python.core.PyFunction.__call__(PyFunction.java:403)
    at org.python.pycode._pyx40.main$2(<script>:47)
    at org.python.pycode._pyx40.call_function(<script>)
    at org.python.core.PyTableCode.call(PyTableCode.java:171)
    at org.python.core.PyBaseCode.call(PyBaseCode.java:308)
    at org.python.core.PyFunction.function___call__(PyFunction.java:471)
    at org.python.core.PyFunction.__call__(PyFunction.java:466)
    at org.python.core.PyFunction.__call__(PyFunction.java:456)
    at org.python.jsr223.MyPyScriptEngine.invokeFunction(MyPyScriptEngine.java:136)
    ... 23 more
INFO 30242 AWT-EventQueue-0 org.gvsig.scripting.app.extension.ScriptingUtils$ExecuteScriptsFromFilesystem - Running autotun scripts terminated.


tatistics_viewer/main.py:183)
    at
addons.statistics_viewer.main$py.call_function(C:/Users/oskmo/gvSIG/plugins/org.gvsig.scripting.app.mainplugin/2.4.0/scripts/addons/statistics_viewer/main.py)
    at org.python.core.PyTableCode.call(PyTableCode.java:171)
    at org.python.core.PyCode.call(PyCode.java:18)
    at org.python.core.imp.createFromCode(imp.java:436)
    at org.python.core.util.importer.importer_load_module(importer.java:116)
    at org.python.core.ClasspathPyImporter.ClasspathPyImporter_load_module(ClasspathPyImporter.java:170)
    at org.python.core.ClasspathPyImporter$ClasspathPyImporter_load_module_exposer.__call__(Unknown Source)
    at org.python.core.PyBuiltinMethodNarrow.__call__(PyBuiltinMethodNarrow.java:46)
    at org.python.core.imp.loadFromLoader(imp.java:593)
    at org.python.core.imp.find_module(imp.java:547)
    at org.python.core.PyModule.impAttr(PyModule.java:111)
    at org.python.core.imp.import_next(imp.java:840)
    at org.python.core.imp.import_logic(imp.java:905)
    at org.python.core.imp.import_module_level(imp.java:970)
    at org.python.core.imp.importName(imp.java:1057)
    at org.python.core.ImportFunction.__call__(__builtin__.java:1280)
    at org.python.core.PyObject.__call__(PyObject.java:450)
    at org.python.core.__builtin__.__import__(__builtin__.java:1232)
    at org.python.core.imp.importFromAs(imp.java:1149)
    at org.python.core.imp.importFrom(imp.java:1124)
    at org.python.pycode._pyx40.selfRegister$1(<script>:40)
    at org.python.pycode._pyx40.call_function(<script>)
    at org.python.core.PyTableCode.call(PyTableCode.java:171)
    at org.python.core.PyBaseCode.call(PyBaseCode.java:125)
    at org.python.core.PyFunction.__call__(PyFunction.java:403)
    at org.python.pycode._pyx40.main$2(<script>:47)
    at org.python.pycode._pyx40.call_function(<script>)
    at org.python.core.PyTableCode.call(PyTableCode.java:171)
    at org.python.core.PyBaseCode.call(PyBaseCode.java:308)
    at org.python.core.PyFunction.function___call__(PyFunction.java:471)
    at org.python.core.PyFunction.__call__(PyFunction.java:466)
    at org.python.core.PyFunction.__call__(PyFunction.java:456)
    at org.python.jsr223.MyPyScriptEngine.invokeFunction(MyPyScriptEngine.java:136)
    ... 23 more
INFO 30242 AWT-EventQueue-0 org.gvsig.scripting.app.extension.ScriptingUtils$ExecuteScriptsFromFilesystem - Running autotun scripts terminated.


addons/statistics_viewer/main.py)
    at org.python.core.PyTableCode.call(PyTableCode.java:171)
    at org.python.core.PyCode.call(PyCode.java:18)
    at org.python.core.imp.createFromCode(imp.java:436)
    at org.python.core.util.importer.importer_load_module(importer.java:116)
    at org.python.core.ClasspathPyImporter.ClasspathPyImporter_load_module(ClasspathPyImporter.java:170)
    at org.python.core.ClasspathPyImporter$ClasspathPyImporter_load_module_exposer.__call__(Unknown Source)
    at org.python.core.PyBuiltinMethodNarrow.__call__(PyBuiltinMethodNarrow.java:46)
    at org.python.core.imp.loadFromLoader(imp.java:593)
    at org.python.core.imp.find_module(imp.java:547)
    at org.python.core.PyModule.impAttr(PyModule.java:111)
    at org.python.core.imp.import_next(imp.java:840)
    at org.python.core.imp.import_logic(imp.java:905)
    at org.python.core.imp.import_module_level(imp.java:970)
    at org.python.core.imp.importName(imp.java:1057)
    at org.python.core.ImportFunction.__call__(__builtin__.java:1280)
    at org.python.core.PyObject.__call__(PyObject.java:450)
    at org.python.core.__builtin__.__import__(__builtin__.java:1232)
    at org.python.core.imp.importFromAs(imp.java:1149)
    at org.python.core.imp.importFrom(imp.java:1124)
    at org.python.pycode._pyx40.selfRegister$1(<script>:40)
    at org.python.pycode._pyx40.call_function(<script>)
    at org.python.core.PyTableCode.call(PyTableCode.java:171)
    at org.python.core.PyBaseCode.call(PyBaseCode.java:125)
    at org.python.core.PyFunction.__call__(PyFunction.java:403)
    at org.python.pycode._pyx40.main$2(<script>:47)
    at org.python.pycode._pyx40.call_function(<script>)
    at org.python.core.PyTableCode.call(PyTableCode.java:171)
    at org.python.core.PyBaseCode.call(PyBaseCode.java:308)
    at org.python.core.PyFunction.function___call__(PyFunction.java:471)
    at org.python.core.PyFunction.__call__(PyFunction.java:466)
    at org.python.core.PyFunction.__call__(PyFunction.java:456)
    at org.python.jsr223.MyPyScriptEngine.invokeFunction(MyPyScriptEngine.java:136)
    ... 23 more
INFO 30242 AWT-EventQueue-0 org.gvsig.scripting.app.extension.ScriptingUtils$ExecuteScriptsFromFilesystem - Running
autotun scripts terminated.

Associated revisions
Revision 1092 - 03/01/2019 02:22 PM - Joaquín  del Cerro Murciano

refs #4992, añadido a ScriptingExtension un metodo estatico add_classloader, sustituido en el codigo del script para que lo llame y cambiado el
use_jar para que lo use. Tambien he añadido algunos getResource en los scripts del paquete de estadisticas.

Revision 44171 - 03/01/2019 02:24 PM - Joaquín  del Cerro Murciano

refs #4992, Añadido al PluginClassLoader el metodo add para añadir urls al classloader. Se usa desde scripting.

History
#1 - 03/03/2019 11:41 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.0-2913 (rev. org.gvsig.desktop-2.0.241) to 2.5.0-2914 (rev. org.gvsig.desktop-2.0.242)

#2 - 03/10/2019 12:16 PM - Óscar Martínez
- Status changed from New to Fixed

Creado realease nueva con los nuevos añadir jars corregidos
https://github.com/oscar9/statistics_viewer/releases/download/1.0.0-4/gvSIG-desktop-2.5.0-statistics_viewer-1.0.0-4-testing-all-all-j1_7.gvspki

#3 - 10/17/2019 01:49 PM - Álvaro Anguix
- Status changed from Fixed to Closed
